std::chrono::_V2::system_clock Struct Reference

## Public Types

typedef chrono::nanoseconds | duration
typedef duration::period | period
typedef duration::rep | rep
typedef chrono::time_point < system_clock, duration > | time_point

## Public Member Functions

< system_clock::duration::zero(),"aclock'sminimumdurationcannotbelessthanitsepoch");staticconstexprboolis_steady=false;statictime_pointnow() noexcept;staticstd::time_tto_time_t(consttime_point &__t) noexcept{returnstd::time_t(duration_cast < chrono::seconds > __t | time_since_epoch ()).count())

## Static Public Member Functions

static time_point | from_time_t (std::time_t __t) noexcept

## Detailed Description

System clock.

Time returned represents wall time from the system-wide clock.

Definition at line 716 of file chrono.

The documentation for this struct was generated from the following file:

- chrono